package body MSHTML.IHTMLFormElement4_Object is

   procedure Put_action
     (This : IHTMLFormElement4_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFormElement4_Put_action,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_action;

   function Get_action
     (This : IHTMLFormElement4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFormElement4_Get_action);
   end Get_action;

end MSHTML.IHTMLFormElement4_Object;

